Bug 25259 - mounting of vfat during installation throws exception
mounting of vfat during installation throws exception
Status: CLOSED DUPLICATE of bug 18032
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-29 22:57 EST by Clint Larraga
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 16:40:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clint Larraga 2001-01-29 22:57:52 EST
I have a dual boot system Win98SE and Linux and had initial problems 
installing redhat 7.0 on the linux partition (using lilo as boot loader). 
During the installation (tried for both GUI and text mode) I mounted the 
vfat partition using /mnt/drive_x and this is what i got.


--------------

Traceback (innermost last)
	File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20 in run
	rc=self.to.do.doInstall()

	File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 
1480, 
	indoInstall
		if self.method.systemMounted 
(self.fstab,self.insPath,self.hdList.selected():
	
	File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py",line 46, 
in systemMounted

		self.loopbackFile=mntPoint+fstab.filesystem Space(mntPoint)
[0][0]+\

	File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 
258, in filesystemSpace
	
	File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable 
return_isys.devSpaceFree(fsystem)

	System Error:(2,'No such file or directory')


--------------

I retried leaving the vfat partition unmounted and proceeded with the 
installation. When everything was finished I just remounted the same vfat 
partition using the mount command and I had no more problem. This bug 
(although there is a workaround) can be discouraging for newbies.
Comment 1 Michael Fulbright 2001-01-30 16:40:44 EST

*** This bug has been marked as a duplicate of 18032 ***

Note You need to log in before you can comment on or make changes to this bug.